#!/bin/bash

install_dbdeployer () {
sudo yum install ncurses.x86_64 ncurses-compat-libs.x86_64 ncurses-devel.x86_64 ncurses-libs.x86_64 libaio-devel.x86_64 perl-Digest-SHA -y
VERSION=1.69.2  # or latest from https://github.com/datacharmer/dbdeployer/releases
OS=linux
origin=https://github.com/datacharmer/dbdeployer/releases/download/v$VERSION
wget $origin/dbdeployer-$VERSION.$OS.tar.gz
tar -xzf dbdeployer-$VERSION.$OS.tar.gz
chmod +x dbdeployer-$VERSION.$OS
sudo mv dbdeployer-$VERSION.$OS /usr/local/bin/dbdeployer
mkdir -p ~/opt/mysql
dbdeployer downloads get-unpack mysql-8.0.30-linux-glibc2.12-x86_64.tar.xz --delete-after-unpack --overwrite
dbdeployer downloads get-unpack mysql-8.0.28-linux-glibc2.12-x86_64.tar.xz --delete-after-unpack --overwrite
}

# DBdeployer binarys usedL:
# 		{
# 			"name": "mysql-8.0.30-linux-glibc2.12-x86_64.tar.xz",
# 			"checksum": "MD5:2469b1ae79e98110277d9b5bee301135",
# 			"OS": "Linux",
# 			"arch": "amd64",
# 			"url": "https://dev.mysql.com/get/Downloads/MySQL-8.0/mysql-8.0.30-linux-glibc2.12-x86_64.tar.xz",
# 			"flavor": "mysql",
# 			"minimal": false,
# 			"size": 599400444,
# 			"short_version": "8.0",
# 			"version": "8.0.30",
# 			"notes": "added with version 1.66.0",
# 			"date_added": "2022-07-26 13:03"
# 		},
# 		{
#
#  			"name": "mysql-8.0.28-linux-glibc2.12-x86_64.tar.xz",
# 			"checksum": "MD5:5be32f68d6859aace1eb61cea1d00bff",
# 			"OS": "Linux",
# 			"arch": "amd64",
# 			"url": "https://downloads.mysql.com/archives/get/p/23/file/mysql-8.0.28-linux-glibc2.12-x86_64.tar.xz",
# 			"flavor": "mysql",
# 			"minimal": false,
# 			"size": 1204277208,
# 			"short_version": "8.0",
# 			"version": "8.0.28",
# 			"notes": "added with version 1.64.1",
# 			"date_added": "2022-06-20 11:50"
# 		}

install_sysbench () {
sudo yum install https://dev.mysql.com/get/mysql80-community-release-el8-4.noarch.rpm -y
sudo rpm --import https://repo.mysql.com/RPM-GPG-KEY-mysql-2022
sudo yum install git mysql mysql-devel autoconf automake libtool make automake libtool pkgconfig libaio-devel -y
cd ~/
git clone https://github.com/akopytov/sysbench.git
cd sysbench
./autogen.sh
./configure
make -j
sudo make install
}

install_dbdeployer
install_sysbench

